Page MenuHomePhabricator

Move wikimedia.ee under WM-EE
Closed, ResolvedPublic

Description

We are migrating our blog and web landing page to Wordpress T204043 and we need to change wikimedia.ee name servers for that. It seems domain is hosted by Zone.eu on behalf of WMF.

As our mail is already managed by our own provider and we are starting to use their web hosting too, it's only meaningful to move domain management also to this provider. Please specify, which additional information is needed to do it.

Usually you need company registration data for new domain owner, which could be: MTÜ Wikimedia Eesti, reg nr 80316310, tramm@wikimedia.ee. For a quick solution, on Zone.eu you could delegate access to user/account "boamaod" (me), on our final hosting target Veebimajutus.ee we have user/account "wikimediaeesti".

Details

Related Gerrit Patches:
operations/dns : masterRemove wikimedia.ee

Event Timeline

tramm created this task.Sep 11 2018, 2:03 PM
Restricted Application added a project: Traffic. · View Herald TranscriptSep 11 2018, 2:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 459835 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/dns@master] Remove wikimedia.ee

https://gerrit.wikimedia.org/r/459835

Dzahn claimed this task.Sep 11 2018, 7:35 PM
Dzahn added a subscriber: Dzahn.
Dzahn added a subscriber: CRoslof.
Dzahn added a comment.EditedSep 12 2018, 3:00 AM

Hi @tramm i took your request. I see you want to transfer the domain entirely to Wikimedia Eesti. I'm contacting legal because they handle the domain registration while we handle DNS and Apache in SRE.

Hi @CRoslof could we talk about the request from @tramm above to move domain ownership of wikimedia.ee to Wikimedia Eesti?

The current status is:

Wikimedia DNS servers are responsible and wikimedia.ee has a zone file pointing to the main cluster. wikipedia.ee is also there and links to wikipedia.org

Our Apache config has wikimedia.ee and wikipedia.ee redirecting to "ee.wikimedia" respectively "et.wikipedia".

# wikimedia.ee / wikipedia.ee - T165733#3355736
rewrite *wikimedia.ee   //ee.wikimedia.org

rewrite *wikipedia.ee   //et.wikipedia.org

[(T165733#3355736)]

And finally, ee.wikimedia.org is a configured ServerAlias in the chapters VirtualHost and redirects to https://ee.wikimedia.org/wiki/Esileht

From the SRE/ops point of view we would like to either completely leave it as it is or completely transfer the domain and delete it from all our configs, DNS and Apache. We would want to avoid having it in our DNS while pointing elsewhere though.

ema moved this task from Triage to DNS Names on the Traffic board.Sep 12 2018, 9:49 AM
tramm added a comment.Sep 12 2018, 1:12 PM

From the SRE/ops point of view we would like to either completely leave it as it is or completely transfer the domain and delete it from all our configs, DNS and Apache. We would want to avoid having it in our DNS while pointing elsewhere though.

By the way, you already have wikimedia.ee MX record pointing at mh3.elkdata.ee. We are ready to take over this domain and DNS, however since we don't host Estonian Wikipedia, the domain wikipedia.ee should be still managed by WMF.

Dzahn added a comment.Sep 13 2018, 1:40 AM

Thanks for additional comments.

The old ticket T84200 (currently private because imported from old ticket system (RT) and contained personal email from Kaarel Vaidla but could be made public if he agrees ) explains how the MX record was changed in the past by request.

Dzahn triaged this task as Normal priority.Sep 13 2018, 1:41 AM

@tramm We can retain ownership of the domain name but change the nameservers to ones you control. What nameservers should we use?

Dzahn reassigned this task from Dzahn to tramm.Sep 21 2018, 12:49 AM

Our preferred hosting provider doesn't have separate nameserver service for domains not hosted in their system. But as I see domain wikimedia.ee is managed at Zone.eu you can delegate changing DNS servers to us at https://www.zone.ee/en/zwebadmin/domains/ilisting. I created dedicated account for Wikimedia Eesti for this purpose now with an obvious name wikimediaeesti.

This way you would retain the ownership of the domain and let us manage the nameservers. Would this be ok, @CRoslof?

Here is how the relevant UI dialog looks (tested it on another account).

Dzahn reassigned this task from tramm to CRoslof.Sep 26 2018, 1:29 AM

It sounds like adding a delegation for wikimediaeesti would just allow you to change the nameservers, but we can change the nameservers now without adding a delegation. Either way, there would need to be nameservers that you control that we could set as the nameservers for wikimedia.ee.

While wikimedia.ee is registered through Zone.ee, we use a centralized registrar to manage our domain name portfolio. It is somewhat difficult for us to change registrar-specific settings for wikimedia.ee like adding a delegation.

Dzahn reassigned this task from CRoslof to tramm.Dec 12 2018, 8:19 PM

Hi @tramm Did you see the comment above? Can we move forward with this?

I got reminded this is still open because today we got emails informing us that various .ee domain registrations *but not wikimedia.ee* are going to expire in 30 days.

@CRoslof Just to make sure, did you see those mails as well? Are we planning to renew them i am wondering.

@Dzahn Yes, we plan to renew all our current .ee domain registrations.

Hi @tramm Any update on this from your side?

Dzahn changed the task status from Open to Stalled.May 6 2019, 9:23 PM
tramm changed the task status from Stalled to Open.May 13 2019, 12:36 AM

Please change wikimedia.ee DNS record to refer to 185.7.252.114 (test page: http://wikimedia.ee.klient.veebimajutus.ee/).

@Dzahn Just to make everything clear, we are going to use virtual hosting of our service provider on IP aadresss 185.7.252.114 to run our Wordpress home page. No other changes are needed. FYI, the same Veebimajutus also provides us with e-mail.

Dzahn added a comment.May 14 2019, 1:48 PM

Hi, @tramm thanks for the update. I'll assign this back to @CRoslof for doing this at the Zone.ee level.

For us in SRE the initial comment still stands.

From the SRE/ops point of view we would like to either completely leave it as it is or completely transfer the domain and delete it from all our configs, DNS and Apache. We would want to avoid having it in our DNS while pointing elsewhere though.

Cheers,

Daniel

Dzahn reassigned this task from tramm to CRoslof.May 14 2019, 1:48 PM
tramm added a comment.EditedMay 14 2019, 2:23 PM

@Dzahn I try to express myself clearly. Wikimedia Estonia is okay with taking responsibility of the whole domain and AFAIK you can transfer the domain at:

Use official names and registry numbers from https://ee.wikimedia.org/wiki/Kontakt as follows:

If you will be asked existing username of Zone.ee account, then this is "wikimediaeesti".

If that is what you prefer, let's do it ASAP.

Previously I didn't understand your desired solution because I didn't get what @CRoslof means by "retaining ownership of domain" but delegating "control of nameservers" at the same time. I even consulted colleagues about it who couldn't help either.

@tramm We can retain ownership of the domain name but change the nameservers to ones you control. What nameservers should we use?

Is giving us full control of wikimedia.ee domain the solution? That would be awesome!

reosarevok removed a subscriber: reosarevok.
reosarevok added a subscriber: reosarevok.

We're waiting until we have control over the domain so that we can release our updated website. Is there any particular reason that makes just transferring everything to us at WMEE complicated? Feels a bit strange to have all this red tape for what sounds like a simple administrative task.

tramm added a comment.Jun 11 2019, 4:11 PM

Hello @Dzahn and @CRoslof, what can we do to move forward with this? This is becoming more and more an obstacle for our work and we certainly didn't expect it to take a whole another month!

Maybe you know how to move on with this, @Aklapper? I have now sent e-mails to everybody involved in this issue without answer for several weeks, the solution seemed clear for already a month, this seemingly simple issue is pending already from September 2018 and is really getting urgent for us.

Previously I didn't understand your desired solution because I didn't get what @CRoslof means by "retaining ownership of domain" but delegating "control of nameservers" at the same time. I even consulted colleagues about it who couldn't help either.

@tramm We can retain ownership of the domain name but change the nameservers to ones you control. What nameservers should we use?

Is giving us full control of wikimedia.ee domain the solution? That would be awesome!

By "retain ownership of the domain name", I mean that wikimedia.ee would continue to be registered to the Wikimedia Foundation. The Foundation would continue to pay to renew the registration, and the domain name would remain in the Foundation's account with our domain name registrar.

The nameservers associated with a domain name contain the configuration information regarding what content appears when someone goes to the domain name. So, changing the nameservers associated with wikimedia.ee to ones that Wikimedia Eesti controls would allow WMEE to control the content of the website hosted at wikimedia.ee.

We're waiting until we have control over the domain so that we can release our updated website. Is there any particular reason that makes just transferring everything to us at WMEE complicated? Feels a bit strange to have all this red tape for what sounds like a simple administrative task.

Domain names with country code top-level domains (ccTLDs), such as .ee, are often governed by unique policies that are different from generic TLDs like .com and .org. I am open to the possibility of transferring the wikimedia.ee domain name to WMEE, but we are still evaluating the implications of doing so.

tramm added a comment.EditedJun 16 2019, 7:20 PM

Domain names with country code top-level domains (ccTLDs), such as .ee, are often governed by unique policies that are different from generic TLDs like .com and .org. I am open to the possibility of transferring the wikimedia.ee domain name to WMEE, but we are still evaluating the implications of doing so.

We have owned several .ee domains in Estonia in the past and there are no special policies that would restrict us as Estonia based NGO ownership of .ee ccTLDs. All the information needed to transfer domain to us I already refferred in comment T204056#5181204. You can find .ee domain rules here and they actually let any judicial entity own .ee domain, see also relevant question in FAQ.

So, from our perspective, we would be glad if you quickly did any of those:

  • Give our account ''wikimediaeesti'' rights to change DNS records of wikimedia.ee at Zone.eu.
  • Transfer whole wikimedia.ee domain to us at Zone.eu (and then we can take control of DNS records).

I think I have given you all the information for doing both (see comments T204056#4605379 and T204056#5181204), so it's up to you to choose which you can manage quicker or which is more suitable for WMF for other reasons. We just want a solution now, maybe the second one as more permanent solution is better for you, the first might be a bit faster, but not significantly.

By "retain ownership of the domain name", I mean that wikimedia.ee would continue to be registered to the Wikimedia Foundation. The Foundation would continue to pay to renew the registration, and the domain name would remain in the Foundation's account with our domain name registrar.
The nameservers associated with a domain name contain the configuration information regarding what content appears when someone goes to the domain name. So, changing the nameservers associated with wikimedia.ee to ones that Wikimedia Eesti controls would allow WMEE to control the content of the website hosted at wikimedia.ee.

This was the solution we discussed already in September, but Wikimedia Eesti doesn't directly control any nameservers (however we control many DNS records of domains through two hosting providers we use, Zone.eu as one of them) and there is no standard service available we could use to do it (our current providers don't offer such a service AFAIK). So in comment T204056#4605379 I proposed giving Wikimedia Eesti account in Zone.eu rights to change nameservers and/or DNS records according to services we use (currently e-mail, web).

However, as in comment T204056#4653253 it seemed you are not in favor of delegating rights to our account in Zone.eu, I asked you to just change name server record for our web site in T204056#5175145. But then as @Dzahn referred that fully transferring the domain is preferred option to just changing single DNS record, I again proposed to transfer the domain to us in T204056#5181204. You can safely do it now and there are no legal or technical problems with it.

Let's solve this issue in next few days, please!

tramm changed the task status from Open to Stalled.Jun 26 2019, 11:44 AM
tramm raised the priority of this task from Normal to High.

Any news? Anyone able to help with this?

This is blocked on @CRoslof or someone else from legal. Last thing he said:

but we are still evaluating the implications of doing so

tramm added a comment.EditedJun 28 2019, 2:48 PM

This is blocked on @CRoslof or someone else from legal.

Is there any more information we can provide on the implications of transferring wikimedia.ee to Wikimedia Eesti, @CRoslof? As legal entity operating in Estonia, owning and operating .ee top level domains we can ensure that there is nothing problematic with taking control of wikimedia.ee by us and I believe we have provided you all the information needed to make it happen. Please, do your part, because renewing our web presence heavily depends on this!

Dzahn changed the task status from Stalled to Open.Jun 28 2019, 5:16 PM
tramm added a comment.Jul 11 2019, 3:00 PM

Another two weeks passed... How can we help to bring some action?

Aklapper lowered the priority of this task from High to Normal.Aug 10 2019, 1:00 PM

I assume that Legal is evaluating (and that some folks might be on summer vacation). There is contact information for Legal on https://wikimediafoundation.org/about/contact/ (which does not imply that this would speed up things, but it's a contact option outside of Phabricator).

tramm added a comment.Aug 20 2019, 8:24 AM

The campaign for getting approval for a simple DNS record change from legal department is starting to resemble EU copyright campaign which allocated most of our chapter resources for at least a year. Want to be better than European Commission and actually do something useful for an online encyclopedia?

During Wikimania I proposed I can discuss this with someone from legal if needed... Please, act now, @CRoslof, we'd really like to make our blog post about Wikimania already on wikimedia.ee and not on our legacy ad supported wordpress.com site. Btw Estonian Wikipedia has birthday events on 24th of August and we'd rather not spend it cursing WMF.

@tramm I wanted to confirm that we got your email and we're looking into it. Chuck is out of office for the next few days, following his work at Wikimania. I'll see if there's anything we can do before he returns given Estonian Wikipedia's August 24 anniversary.

I'd like to offer a friendly reminder to remain polite. I'm sorry this is frustrating and has been slow. We are working on a variety of projects, and unfortunately there is not time to give every issue equal attention. We do want to support your work, and aim to get back to you within the next few days.

Slaporte claimed this task.Aug 21 2019, 2:00 AM

... Wikimedia Eesti doesn't directly control any nameservers (however we control many DNS records of domains through two hosting providers we use, Zone.eu as one of them) and there is no standard service available we could use to do it (our current providers don't offer such a service AFAIK).

I wanted to confirm, is this still the case? Do you have nameservers that we could add to the domain? I think that would be the quickest way to let the chapter use the domain. Your web host may provide a nameserver along with other features, so I recommend double checking with zone.eu and elkdata.ee.

We're still investigating whether it's possible to delegate access to the "wikimediaeesti" zone.eu account.

Do you have nameservers that we could add to the domain? I think that would be the quickest way to let the chapter use the domain. Your web host may provide a nameserver along with other features, so I recommend double checking with zone.eu and elkdata.ee.

Discussed this with Elkdata and they suggest we can try those:

ns.elkdata.ee / 194.106.101.162
ns2.elkdata.ee / 194.106.101.163
ns3.elkdata.net / 195.222.17.113

They say we need to configure A record to point at 91.198.174.192 in order to keep wikimedia.ee functioning and after that we can configure other DNS records. I suppose that's it. And if you can provide data about how to configure our MX records, that would be also helpful.

We are ready to try it.

@Dzahn Can you confirm how @tramm should configure the MX records? I think he'll need to add 18-19 from here to WMEE's elkdata DNS info, but want to make sure that's correct.

Is there anything else SRE needs to do before I change the nameserver with the registrar?

Joe added a subscriber: Joe.Aug 22 2019, 4:35 PM

@Dzahn Can you confirm how @tramm should configure the MX records? I think he'll need to add 18-19 from here to WMEE's elkdata DNS info, but want to make sure that's correct.
Is there anything else SRE needs to do before I change the nameserver with the registrar?

Hi, @Dzahn is currently off, by a quick review of the ticket I would say that yes, they need to configure the MX record as above, and that there is nothing we need to do on our side before the nameserver change.

👍 thanks, @Joe.

@tramm, we're in the process of changing the nameserver now.

Hi @tramm, can you let me know when your nameservers are configured? The registry requires this, and the update will not complete (on our side) until the new servers are configured.

tramm added a comment.Aug 22 2019, 7:47 PM

Thanks @Slaporte, we will have to consult our hosting provider Elkdata and this will happen in 12h or so. They don't provide us UI to make the changes, but I believe they will figure out something quickly, because they promised us that it will work.

tramm added a comment.Aug 23 2019, 6:31 AM

We have configured the name servers with Elkdata, I suppose the update can be finalized now.

Great. We are updating with the registrar now.

Slaporte closed this task as Resolved.Aug 23 2019, 9:08 PM

The nameserver is updated and appears to be working!

Thanks all, and happy 17th birthday to Estonian Wikipedia!

Thanks a lot everybody for your work and patience!

tramm added a comment.Aug 26 2019, 7:45 AM

For me the lesson learned is that if talking in technical terms about name servers or similar one should be super precise and not fall back to shortcut jargon, that might be common among technical experts. Our ISP first denied that they can let us configure name server of a domain that's not managed my them. I suppose if I would have been able to ask them about it correct terms, they would have confirmed already the first time (and I still don't understand what are the correct terms). It seems that differentiating among "owning domain" and "owning name servers" and "changing name servers" and "changing name server records" (and maybe even specific records) where appropriate would have helped much. Thanks for your patience and glad that everything worked out in the end!

Dzahn awarded a token.Aug 27 2019, 1:26 PM

Change 459835 had a related patch set uploaded (by Dzahn; owner: Reedy):
[operations/dns@master] Remove wikimedia.ee

https://gerrit.wikimedia.org/r/459835

Change 459835 abandoned by Dzahn:
Remove wikimedia.ee

Reason:
duplicated by https://gerrit.wikimedia.org/r/c/operations/dns/ /533216

https://gerrit.wikimedia.org/r/459835